Search integrations
curl --request POST \
--url https://api.wirespeed.co/v1/integration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"includeDisabled": true,
"healthStatus": [],
"ids": [
"<string>"
],
"integrationTypes": []
}
'import requests
url = "https://api.wirespeed.co/v1/integration"
payload = {
"size": 123,
"page": 123,
"filter": "<string>",
"search": "<string>",
"orderBy": "<string>",
"includeDisabled": True,
"healthStatus": [],
"ids": ["<string>"],
"integrationTypes": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
size: 123,
page: 123,
filter: '<string>',
search: '<string>',
orderBy: '<string>',
includeDisabled: true,
healthStatus: [],
ids: ['<string>'],
integrationTypes: []
})
};
fetch('https://api.wirespeed.co/v1/integration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"enabled": true,
"teamId": "<string>",
"config": {
"name": "<string>",
"customFields": [
{
"slug": "<string>",
"display": "<string>",
"type": "<string>",
"required": true,
"description": "<string>",
"defaultValue": "<string>",
"validationPattern": "<string>",
"validationMinLength": 123,
"validationMaxLength": 123,
"source": "<string>",
"advancedOption": true,
"hidden": true,
"nonEditable": true,
"entitlementSlug": "<string>",
"authMethod": "<string>"
}
],
"logo": "<string>",
"beta": true,
"slug": "<string>",
"default": true,
"useCases": [],
"webhookActions": [
{
"slug": "<string>",
"display": "<string>",
"description": "<string>",
"useCases": [],
"showWebhookSecret": true,
"containmentRequirements": {}
}
],
"containmentActions": [
{
"slug": "<string>",
"display": "<string>",
"description": "<string>",
"useCases": [],
"showWebhookSecret": true,
"containmentRequirements": {}
}
],
"authMethods": [
{
"id": "<string>",
"displayName": "<string>",
"description": "<string>"
}
],
"oauthRequiresRedirect": true,
"requiresConfiguration": true,
"requiresWebhook": true,
"logoLight": "<string>",
"logoDark": "<string>",
"description": "<string>",
"internalCreds": true,
"docsUrl": "<string>",
"statusUrl": "<string>",
"rtfm": true,
"integrationTypes": [],
"singleInstallOnly": true,
"hideFromCatalog": true,
"comingSoon": true
},
"permissionsUpdateAvailable": true,
"permissionUpdateExplanation": "<string>",
"identityFields": {},
"createdAt": "<string>",
"publicEntitlements": [
{
"slug": "<string>",
"display": "<string>",
"value": true,
"dismissed": true,
"description": "<string>",
"warning": {
"when": true,
"message": "<string>"
}
}
],
"healthDetails": {
"errorCount": 123,
"warningCount": 123,
"lastCheckedAt": "<string>",
"lastStatusChangeAt": "<string>"
},
"sourceSystemUpdates": true,
"teamName": "<string>",
"requiresConfiguration": true,
"muteHourlyQuality": {},
"authMethod": "<string>"
}
]
}{
"message": "<string>",
"statusCode": 123
}Integration
Search integrations
POST
/
v1
/
integration
Search integrations
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
asc, desc Include disabled integrations in search results
Filter by health status (multiple allowed)
Available options:
healthy, unhealthy, unstable, unknown Restrict results to the given integration IDs
Restrict results to integrations matching any of the provided integration types
Available options:
collaboration, endpoint, identity, network_vpn, cloud, siem, saas, attack_simulation, deception, enrichment, email, firewall, dns, custom Response
Array of integration search results
Show child attributes
Show child attributes
⌘I

